[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBrush.DoAllocateResources

Performs actions needed to allocate (or reallocate) resources for the brush instance.

## Declaration

Source position: graphics.pp line 722

`protected procedure TBrush.DoAllocateResources; override;`

## See also

TBrush.Reference |  | Contains a Reference to the handle allocated for the Brush.
TBrush.Handle |  | Operating System handle for the brush.